#!/usr/bin/env python3

def cycle(iter):
    while True:
        source = iter[::-1]
        while source:
            yield source.pop()

fizz = cycle(["", "", "fizz"])
buzz = cycle(["", "", "", "", "buzz"])

for i in range(1, 100):
    line = next(fizz) + next(buzz)
    print(line or i)
